# Generated by Django 5.0.6 on 2024-06-03 18:12

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="House",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("address", models.CharField(help_text="Адрес дома", max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name="Tariff",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "tariff",
                    models.DecimalField(
                        decimal_places=2, help_text="Тариф", max_digits=7
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Apartment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("number", models.IntegerField(help_text="Номер квартиры")),
                (
                    "area",
                    models.DecimalField(
                        decimal_places=2, help_text="Площадь квартиры", max_digits=12
                    ),
                ),
                (
                    "house",
                    models.ForeignKey(
                        help_text="Дом",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="management.house",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Counter",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("type", models.CharField(help_text="Тип счетчика", max_length=30)),
                (
                    "apartment",
                    models.ForeignKey(
                        help_text="Квартира",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="management.apartment",
                    ),
                ),
                (
                    "tariff",
                    models.ForeignKey(
                        default=1,
                        help_text="Тариф",
                        on_delete=django.db.models.deletion.SET_DEFAULT,
                        to="management.tariff",
                    ),
                ),
            ],
        ),
    ]
